com.aliyun.svideosdk.common.struct.project

## Enum EffectTrack.Type

- java.lang.Object
- - java.lang.Enum<EffectTrack.Type>
  - - com.aliyun.svideosdk.common.struct.project.EffectTrack.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EffectTrack.Type>
  Enclosing class:
    EffectTrack

      public static enum EffectTrack.Type
      extends java.lang.Enum<EffectTrack.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `animation_filter` 动态滤镜
    `filter` 普通颜色滤镜
    `lut_filter` lut 滤镜
    `mv` mv
    `time_effect` 时间特效

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EffectTrack.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EffectTrack.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### time_effect

          public static final EffectTrack.Type time_effect

      时间特效

    - #### filter

          public static final EffectTrack.Type filter

      普通颜色滤镜

    - #### animation_filter

          public static final EffectTrack.Type animation_filter

      动态滤镜

    - #### mv

          public static final EffectTrack.Type mv

      mv

    - #### lut_filter

          public static final EffectTrack.Type lut_filter

      lut 滤镜

  - ### Method Detail

    - #### values

          public static EffectTrack.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EffectTrack.Type c : EffectTrack.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EffectTrack.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null